### Function

# Gtk.IconTheme.get_for_display

#### Declaration [src]

    GtkIconTheme*
    gtk_icon_theme_get_for_display (
      GdkDisplay* display
    )

#### Description [src]

Gets the icon theme object associated with `display`.

If this function has not previously been called for the given display, a new icon theme object will be created and associated with the display. Icon theme objects are fairly expensive to create, so using this function is usually a better choice than calling `gtk_icon_theme_new()` and setting the display yourself; by using this function a single icon theme object will be shared between users.

#### Parameters

`display` | `GdkDisplay*`
| a `GdkDisplay`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkIconTheme`
A unique `GtkIconTheme` associated with the given display. This icon theme is associated with the display and can be used as long as the display is open. Do not ref or unref it.
Ownership is not transferred to the caller